Subject: Re: Bug in alternates

From: Chris Packham <[email-masked]>
Date: Wed, 11 Aug 2010 17:50:11 -0700

On 11/08/10 17:26, Michael Geddes wrote:
> If you're not following the story, the Foo repo had itself as an alternate.
>

I had done a little messing with putting a UI around alternates a while
back (if I ever find those elusive round tuits I'll pick it up again).
There are also more complicated cases where you could end-up recursively
including yourself, I managed to do that at least once in my messing
around.

It shouldn't be too hard to add some safety checks to git gc or git
repack but they should take the possibility of recursive alternates into
account.

> Include me in replies please- I'm not on the list.
>

That's the norm around here.